srcpd(8)

NAME
srcpd - SRCP sprechender Systemdienst

SYNTAX
srcpd [ Optionen ]

BESCHREIBUNG

Dieses Handbuch ist nicht vollständig. Für weitere Informationen besuchen Sie bitte die Internetseite des Projektes unter http://srcpd.sourceforge.net/.

Bei srcpd handelt es sich um einen UNIX-Systemdienst (Daemon) zur Steuerung einer digitalen Modellbahn über das Simple Railroad Command Protocol (SRCP).

Beim Start liest das Programm die systemweite Konfigurationsdatei srcpd.conf ein. Hierbei handelt es sich um eine XML-Datei, deren Aufbau und Inhalt im Handbuch srcpd.conf (5) näher erläutert sind. Die Spezifikation von SRCP selbst befindet sich auf der Internetseite http://srcpd.sourceforge.net/srcp.

OPTIONEN

-h  Ausgabe einiger kurzer Hinweise zur Benutzung.

-n  Nach dem Start wechselt der srcpd nicht in den Hintergrund, sondern bleibt als Vordergrundprozess aktiv. Dieses Verhalten ist für den Ubuntu »upstart« Mechanismus sinnvoll.

-v  Ausgabe der Version des Programms und der unterstützten SRCP-Version.

-f <Dateiname>
    Nutze den übergebenen Dateinamen als Konfigurationsdatei. Der voreingestellte Wert für diese Datei wird beim Kompilieren des Programms festgelegt und kann mit der Option -h angezeigt werden.

BEMERKUNGEN

  Inbetriebnahme
Der srcpd hält sich an die Konventionen des Filesystem Hierarchy Standard (FHS, http://www.pathname.com/fhs/). Für weiterführende und spezielle Konfigurationsmöglichkeiten von Systemdiensten nutzen Sie bitte die Dokumentation Ihres Betriebssystems. Die folgenden Informationen geben allgemein gültige Hinweise zur Konfiguration.

Erstellen Sie zunächst eine zu ihrer Modellbahnsteuerung passende Konfigurationsdatei (srcpd.conf). Speichern Sie diese dann mit Administrationsrechten im Verzeichnis für die systemweite Konfiguration (/etc) ab. Die mitgelieferte Beispieldatei muss dabei ersetzt bzw. überschrieben werden.

Sobald die angepasste Konfigurationsdatei vorliegt, kann der Daemon mit folgendem Befehl gestartet werden:

    /etc/init.d/srcpd start

Läuft der srcpd-Daemon bereits, muss er zum Einlesen der neuen Konfiguration zunächst angehalten werden. Das Anhalten des Daemons erfolgt analog zum Startvorgang mit folgendem Befehl:

    /etc/init.d/srcpd stop

Unter bestimmten Voraussetzungen kann der srcpd-Daemon auch im laufenden Betrieb, also ohne generellen Neustart, eine veränderte Konfigurationsdatei einlesen. Da der Zugriff auf Hardwareschnittstellen unter UNIXoiden Betriebssystemen über Berechtigungen geregelt wird, müssen die Rechte für den srcpd-Daemon in der Konfigurationsdatei (srcpd.conf) so eingestellt werden, dass er jederzeit Zugriff auf die gewünschte Schnittstelle erhält.

Für Modellbahnhardware, die über serielle Schnittstellen (USB, RS232) angeschlossen ist, reicht es, den srcpd-Daemon mit der entsprechenden Gruppenberechtigung (in der Regel »dialout«) zu betreiben. Beim »ddl-s88« Modul, das S88-Rückmeldungen über die parallele Schnittstelle einliest, wird eine Systemfunktion genutzt (ioperm), die immer root-Berechtigung benötigt. Daher muss in diesem Fall der srcpd-Daemon mit root-Berechtigung laufen. Die ioperm() Funktion selbst ist typischerweise nur auf x86 und x86-64 Hardware verfügbar. Wenn sie ein anderes System nutzen möchten und beim Compilieren des srcpd-Quellcodes eine Fehlermeldung bezüglich einer fehlenden sys/io.h Headerdatei bekommen, können sie das ddl-s88 Modul deaktivieren. Näheres zum Aktivieren und Deaktivieren bestimmter srcpd-Module finden sie beim Aufruf von

     ./configure --help

Zum Neueinlesen der Konfigurationsdatei dient, unter der Voraussetzung, die oben geschilderten Bedingungen sind eingehalten, folgender Befehl:

    /etc/init.d/srcpd reload

Zur Verfolgung von Fehlern beim Start oder im laufenden Betrieb, können Sie die Log-Datei des syslog-Systemdienstes (/var/log/messages oder /var/log/syslog) nutzen. Die Meldungen lassen sich mit Administrationsrechten beispielsweise in einem Terminalfenster mit folgendem Befehl beobachten:

    tail -f /var/log/messages

oder

    tail -f /var/log/syslog

Die Ausführlichkeit der dort erscheinenenden Meldungen lässt sich über Einstellungen in der srcpd.conf anpassen. Nähere Informationen hierzu bietet das zugehörige Handbuch.

SIEHE AUCH
srcpd.conf (5)

FEHLER

Sicher gibt es noch ein ganze Reihe an Fehlern. Bitte leiten Sie Fehlerberichte und Vorschläge für Verbesserungen an die Entwickler-Mailingliste auf http://srcpd.sourceforge.net/.

AUTOREN
Dieses Handbuch wurde geschrieben von Matthias Trute (mtrute@users.sourceforge.net), Frank Schmischke (schmischi@users.sourceforge.net) und Guido Scholz (gscholz@users.sourceforge.net).

LIZENZ
GNU General Public License, Version 2